<?php
// <!--雨霖科技 - 专注于企业建站，软件开发，做技术-->
// <!--官网：52lin.com
// <!--客服QQ：2247197840
// <!--联系邮箱：462469@qq.com
function get_curl($url, $post = 0)
{
    $asget = curl_init();
    curl_setopt($asget, CURLOPT_URL,$url);
    curl_setopt($asget, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($asget, CURLOPT_SSL_VERIFYHOST, false);
    $httpheader[] = "Accept: */*";
    $httpheader[] = "Accept-Encoding: gzip,deflate,sdasget";
    $httpheader[] = "Accept-Language: zh-CN,zh;q=0.8";
    $httpheader[] = "Connection: close";
    curl_setopt($asget, CURLOPT_TIMEOUT, 30);
    if($post){
        curl_setopt($asget, CURLOPT_POST, 1);
        curl_setopt($asget, CURLOPT_POSTFIELDS, $post);
    }
    curl_setopt($asget, CURLOPT_HTTPHEADER, $httpheader);
    curl_setopt($asget, CURLOPT_USERAGENT,'Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36');
    curl_setopt($asget, CURLOPT_ENCODING, "gzip");
    curl_setopt($asget, CURLOPT_RETURNTRANSFER,1);
    $ret = curl_exec($asget);
    curl_close($asget);
    return $ret;
}
if (isset($_POST['act']) && $_POST['act'] == 'refund') {
    $key = empty($_POST['key']) ? '' : $_POST['key'];
    $money = empty($_POST['money']) ? null : round($_POST['money'], 2);

    $post = [
        'act' => 'refund',
        'pid' => '',
        'out_trade_no' => $_POST['out_trade_no'],
        'money' => $money,
    ];
    ksort($post);
    reset($post);
    $post['sign'] = md5(urldecode(http_build_query($post)) . '');

    $parameter = 'https://pay.xiaobaixuan.com/api.php?' . urldecode(http_build_query($post));
    
    $data = get_curl($parameter);
    header('Content-Type: application/json; charset=UTF-8');
    exit($data);

} else { ?>
<!DOCTYPE html>
<html lang="zh-CN">

<head>
    <title>订单在线退款</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=0.9">
    <link rel="shortcut icon" href="/favicon.ico">
    <link rel="stylesheet" type="text/css"
        href="https://cdn.staticfile.org/twitter-bootstrap/3.4.1/css/bootstrap.min.css">
</head>
<div class="container" style="padding-top:20px;">
    <div class="col-xs-12 col-sm-10 col-lg-8 center-block" style="float: none;">
        <div class="panel panel-primary">
            <div class="panel-heading" style="background: linear-gradient(to right,#8ae68a,#5ccdde,#b221ff);">
                <p style="text-align: center;font-weight: bold;color: black;font-size: 2rem;">订单在线退款</p>
            </div>
            <div class="panel-body">
                <div class="alert alert-success text-center"><a href="JavaScript:;"></a>订单号不要填错！退款了不可追回！</div>
                <div class="content1">
                    <form>
                         <div class="form-group">
                            <label for="input1">商户ID</label>
                            <input type="text" class="form-control" id="input1" placeholder="你的商户ID">
                        </div>
                        <div class="form-group">
                            <label for="input2">商户秘钥</label>
                            <input type="text" class="form-control" id="input2" placeholder="你的商户秘钥">
                        </div>
                        <div class="form-group">
                            <label for="input3">商户订单号</label>
                            <input type="text" class="form-control" id="input3" placeholder="要退款的商户订单号">
                        </div>
                        <div class="form-group">
                            <label for="input4">退款金额</label>
                            <input type="text" class="form-control" id="input4" placeholder="要退款的金额">
                        </div>
                        <button type="button" class="btn btn-success" onclick="submitPay()">提交退款</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://cdn.staticfile.org/jquery/3.7.1/jquery.min.js"></script>
<script src="https://cdn.staticfile.org/layer/3.5.1/layer.min.js"></script>
<script>
    function submitPay() {
        const ii = layer.load();
        $.ajax({
          url: "./refund.php",
          type: "POST",
          dataType: "json",
          data: {
            act: "refund",
            // pid: $("#input1").val(),
            // key: $("#input2").val(),
            out_trade_no: $("#input3").val(),
            money: $("#input4").val(),
          },
          success: function(data) {
            layer.close(ii);
            if (data.code === 1) {
                layer.msg(data.msg, {
                    icon: 1,
                });
                window.setTimeout("location.reload()", 2000);
            } else {
                layer.msg(data.msg, {
                    icon: 2,
                });
                console.log(data);
            }
            // 请求成功时的处理逻辑
          },
          error: function(xhr, status, error) {
            // 请求失败时的处理逻辑
            layer.close(ii);
            console.log("Error: " + error);
            layer.msg('服务器错误', {
                icon: 2,
            });
          }
        });
    }
</script>
</body>

</html>
<?php
}